<?php

//   http://blogprogram.ru/pdf-php-sozdanie-lyubyx-tablic-chast-3

require_once( "fpdf181/lib/pdftable.inc.php" );
define('FPDF_FONTPATH', 'fpdf181/font/');

//  
$pdf = new PDFTable( 'P', 'mm', 'A4' ); //P - , L -  
$pdf->SetTextColor(0, 0, 0);

//  
$pdf->AddFont('TahomaMy','','tahoma.php');
$pdf->AddFont('TahomaMyBold','B','tahoma_bold.php');
$pdf->SetFont('TahomaMy','',12);

// 1- 
$pdf->AddPage('L');

$pdf->SetTextColor(100, 100, 100);  //
$pdf->SetFontSize(17);
$pdf->Cell( 0, 15, "2018  PDF ", 0, 0, 'C' );

$pdf->SetTextColor(0, 0, 0);         //
$pdf->SetFontSize(20);
$pdf->Write( 19, " " );

$pdf->Ln(16);
$pdf->SetFontSize(12);
$pdf->Write( 5, "     PDF   PHP    ,       blogprogram.ru -           PDF." );
$pdf->Ln( 12 );

// 1- 
$table1 = "
<table border=1 align=left>
  <tr>
    <td rowspan=2 valign=middle border=0>rowspan=2, valign=middle</td>
    <td>Normal</td>
    <td>Normal</td>
    <td>Normal</td>
    <td colspan=2 rowspan=2 valign=bottom bgcolor=#FF00FF>colspan=2<br>rowspan=2<br>valign=bottom</td>
  </tr>
  <tr>
    <td height=15>Normal</td>
    <td rowspan=2 align=right bgcolor=#aaaaaa border=0>rowspan=2</td>
    <td border=0>border=0</td>
  </tr>
  <tr>
    <td>Normal</td>
    <td>Normal</td>
    <td>Normal</td>
    <td rowspan=3 valign=top bgcolor=#CC3366>rowspan=3</td>
    <td>Normal</td>
  </tr>
  <tr bgcolor=#cccccc>
    <td>Normal</td>
    <td colspan=3 align=center>align center, colspan=3</td>
    <td>Normal</td>
  </tr>
  <tr>
    <td align=right valign=bottom>align=right<br>valign=bottom</td>
    <td>Normal</td>
    <td>&nbsp;</td>
    <td>Normal</td>
    <td height=20>height=20</td>
  </tr>
</table>";

$pdf->htmltable($table1);


// 2- 
$pdf->AddPage('L');

$pdf->SetTextColor(0, 0, 0);         //
$pdf->SetFontSize(20);
$pdf->Write( 19, "   " );
$pdf->Ln( 23 );

// 2- 
$table2 = "
<table border=1 align=left>
  <tr>
    <td bgcolor=#ffffff height=15 align=center valign=middle></td>
    <td rowspan=4 width=150></td>
  </tr>
  <tr>
    <td bgcolor=#ffffff height=15 align=center valign=middle>49 </td>
  </tr>
  <tr>
    <td bgcolor=#ffc392 height=15 align=center valign=middle></td>
  </tr>
  <tr>
    <td bgcolor=#ffffff height=15 align=center valign=middle> </td>
  </tr>
  <tr>
    <td bgcolor=#ffffff  colspan=2 align=center valign=middle>      . <br>ps    PDF  position: absolute,   html .</td>
  </tr>
</table>";

$pdf->htmltable($table2);

// : ,  x,  y,  ,  
$pdf->Image("876.jpg", 61, 43.3, 149.2, 59.3 );

$pdf->Ln(12);
$pdf->Cell(0, 15, "    PDF !", 0, 0, 'C' );

// PDF
$pdf->Output( "report.pdf", "I" );
?>